<template>
  <div class="public-bounced" v-show="flag">
    <div class="public-bounced-title">
      <span>{{ displayContent.Name }}</span>
      <i class="el-icon-circle-close" @click="closePopup"></i>
    </div>
    <div class="public-bounced-content">
      <div class="public-bounced-content-left"></div>
      <div class="public-bounced-content-right"></div>
<!--      <span>内容</span>-->
      <popup-gas></popup-gas>
    </div>
  </div>
</template>

<script>

import '@/components/BaseNav/SolidWaste/directive'

import PopupGas from '@components/flueGas/popup-gas'
export default {
  name: 'PublicBounced',
  data () {
    return {
      displayContent: [],
      flag: false
    }
  },
  components: {
    PopupGas
  },
  methods: {
    setData (data) {
      this.displayContent = data
      this.flag = true
    },
    closePopup () {
      this.flag = false
    }
  }
}
</script>

<style lang="less" scoped>
.public-bounced {
  width: 80%;
  height: 450px;
  z-index: 999;
  position: absolute;
  top: 25%;
  left: 10%;
  background-color: #002432;
  margin: 1% auto;
  border: 1px #9fc5c8 solid;

  .public-bounced-title {
    width: 100%;
    border: 1px #a4c0d8 solid;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 5px 0;

    span {
      color: #f4f7ff;
      margin: 0 15px;
      font-size: 14px;
    }

    i {
      color: white;
      margin: 0 15px;
      font-size: 22px;
    }
  }

  .public-bounced-content {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: space-around;
    .public-bounced-content-left {
      width: 48%;
      height: 400px;
      border: 1px red solid;
    }
    .public-bounced-content-right {
      width: 48%;
      height: 400px;
      border: 1px red solid;
    }
  }

}
</style>
